Re: [wxperl-users] Problem for installing last wxPerl on Windows

Hi,

The last version of what ?
All the versions I use are the last on=
es :

wxWidgets 2.8.0
wxPerl 0.67

What can be newer ? 

-----Mess=
age d'origine-----
De : wxperl-users-bounces@lists.sourceforge.net [mail=
to:wxperl-users-bounces@lists.sourceforge.net] De la part de Mattia Barbo=
n
Envoy=E9 : dimanche 24 d=E9cembre 2006 13:07
=C0 : wxperl-users@lists=
..sourceforge.net
Objet : Re: [wxperl-users] Problem for installing last =
wxPerl on Windows

On Fri, 22 Dec 2006 17:15:36 +0100
"Beule, Franck" =
<FBeule@nds.com> wrote:

  Hi,

> D:\Wx-0.67>perl Makefile.PL
> Warn=
ing: prerequisite Alien::wxWidgets 0.25 not found.

<snip>

> Writing=
 Makefile for Wx
> Can't locate object method "wx_base_directory" via pa=
ckage
> "Alien::wxWidgets" at
>  D:/Wx-0.67/build/Wx/build/MakeMaker/Wi=
n32.pm line 56.
> # Looks like your test died before it could output any=
thing.
> 
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=

> For installation instructions and further help please see
> docs/INS=
TALL.pod
> 
> For command line switches help use:
> perl Makefile.PL -=
-help
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

=
  It appears Wx does not correctly handle the case of an old
Alien::wxWi=
dgets. For the moment, please install a new version before
trying to bui=
ld Wx.

Regards
Mattia

------

My first message :

Hi,

for t=
he moment, I've used the Windows compiled version of wxPerl available at
=
http://wxperl.sourceforge.net/download.html

But the version available =
is only 0.26.

I need to install the last 0.67 version. Unfortunately, =
this version is only available with sources. I need to compil them by mys=
elf.

I've downloaded and installed on d:\perl ActivePerl-5.8.8.819-MSW=
in32-x86-267479.msi
I've downloaded and compiled at every possible modes=
 wxWidget 2.8.0 on d:\wxWidgets-2.8.0 with Microsoft Visual C++ 6.0
I've=
 downloaded and unziped Wx-0.67 on d:\Wx-0.67

I've set WXDIR=3Dd:\wxWi=
dgets-2.8.0 and WXWIN=3Dd:\wxWidgets-2.8.0
I've set in PATH the path for=
 perl and the one for nmake take in Visual C++ subdirs.

And now, when =
I start to compile, I get an error (see below)
Someone can help me ?

=
I don't know what is this Alien::wxWidgets !

Thanks

D:\Wx-0.67>perl=
 Makefile.PL
Warning: prerequisite Alien::wxWidgets 0.25 not found.
Wri=
ting Makefile for Wx::Socket
Writing Makefile for Wx::DND
Writing Makef=
ile for Wx::FS
Writing Makefile for Wx::Grid
Writing Makefile for Wx::H=
elp
Writing Makefile for Wx::Html
Writing Makefile for Wx::MDI
Writing=
 Makefile for Wx::Print
Writing Makefile for Wx::XRC
Writing Makefile f=
or Wx::STC
Writing Makefile for Wx::DocView
Writing Makefile for Wx::Ca=
lendar
Writing Makefile for Wx::DateTime
Writing Makefile for Wx::Media=

Writing Makefile for Wx::RichText
Writing Makefile for Wx::AUI
Writin=
g Makefile for Wx::Perl::SplashFast
Writing Makefile for Wx::Perl::Carp
=
Writing Makefile for Wx::Perl::TextValidator
Writing Makefile for Wx::Pe=
rl
Writing Makefile for Wx
Can't locate object method "wx_base_director=
y" via package "Alien::wxWidgets" at
 D:/Wx-0.67/build/Wx/build/MakeMake=
r/Win32.pm line 56.
# Looks like your test died before it could output a=
nything.

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
=
For installation instructions and further help please see
docs/INSTALL.p=
od

For command line switches help use:
perl Makefile.PL --help
=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D


D:\Wx-0.67>
=
*************************************************************************=
**********
Information contained in this email message is confidential a=
nd may be privileged, and is intended only for use of the individual or e=
ntity named above. If the reader of this message is not the intended reci=
pient, or the employee or agent responsible to deliver it to the intended=
 recipient, you are hereby notified that any dissemination, distribution =
or copying of this communication is strictly prohibited. If you have rece=
ived this communication in error, please immediately notify the postmaste=
r@nds.com and destroy the original message.
****************************=
******************************************************* 


0
FBeule
12/27/2006 10:02:08 AM
perl.wxperl.users 3070 articles. 0 followers. Follow

0 Replies
508 Views

Similar Articles

[PageSpeed] 32

Reply:

Similar Artilces:

Re: [wxperl-users] Problem for installing last wxPerl on Windows #2
Is there anyone that can give me a windows binary of wxPerl-0.67 ? It = should have been located at http://wxperl.sourceforge.net/download.html = but the last version updated is only 0.26, a one year old version ! It= 's been 3 days I try to compile it and don't find out how to do it. My= configuration is : System : Windows XP Perl : Active Perl 5.8.8 Buil= d 819 (last existing version) wxWidgets version 2.8.0 compiled in all mo= des The error I get is described at the end of the message. Thinkin= g that I should install Alien::wxWidgets, I tried to do it w...

[wxperl-users] Problem for installing last wxPerl on Windows
Hi, for the moment, I've used the Windows compiled version of wxPerl = available at http://wxperl.sourceforge.net/download.html But the vers= ion available is only 0.26. I need to install the last 0.67 version. U= nfortunately, this version is only available with sources. I need to com= pil them by myself. I've downloaded and installed on d:\perl ActivePe= rl-5.8.8.819-MSWin32-x86-267479.msi I've downloaded and compiled at ever= y possible modes wxWidget 2.8.0 on d:\wxWidgets-2.8.0 with Microsoft Vis= ual C++ 6.0 I've downloaded and unziped Wx-0.67 on ...

[wxperl-users] FW: Problem for installing last wxPerl on Windows
Forgot to cc to wxperl-users lists -----Original Message----- From: Daniel Cristian Craciunean [mailto:cridaniel@gmx.net]=20 Sent: Thursday, December 28, 2006 12:55 AM To: 'Beule, Franck' Cc: 'wxperl-users-bounces@lists.sourceforge.net' Subject: RE: [wxperl-users] Problem for installing last wxPerl on = Windows Hello, You can find .ppm's at http://www.gigi.co.uk/wxperl/ppm.html -----Original Message----- From: wxperl-users-bounces@lists.sourceforge.net [mailto:wxperl-users-bounces@lists.sourceforge.net] On Behalf Of Beule, Franck Sent: Wednesday,...

Fwd: wxPerl on the Mac; was: [wxperl-users] Re: problems with wxPerl
>To: Jouke Visser <jouke@pvoice.org>, wxperl-users@lists.sourceforge.net >From: Christian Jaeger <christian.jaeger@sl.ethz.ch> >Subject: wxPerl on the Mac; was: [wxperl-users] Re: problems with wxPerl >Date: Sun, 30 Sep 2001 23:08:19 +0100 > >Hello, > >I'm crossposting this reply to the macosx-perl mailing list because >there is some interest, too. Actually I forgot to put the macosx-perl adress on it. >At 14:02 Uhr +0200 24.9.2001, Jouke Visser wrote: >>I wondered if anyone yet tried to compile wxPerl on a Mac. If not, I'...

Re:[wxperl-users] wxPerl-0.21 Mac Install Problem
Hello, > The Installer hangs on installing the last stage of wxPerl.= pkg: > > Processing wxPerl > Running Installer Script > Time Remaini= ng: less than a minute Did it create a 'wxPerl' executable in /usr/b= in or /usr/local/bin? Where is wx-config located? I the directory conta= ining wx-config in the PATH? Regards Mattia =0A=0A=0A=0A____________= ________________________________________________=0ALibero ADSL: 3 mesi gr= atis e navighi a 1.2 Mega, senza costi di attivazione.=0AAbbonati subito = su http://www.libero.it=0A --- "m...

Re:[wxperl-users] wxPerl-0.21 Mac Install Problem #2
> Any help would be appreciated. I think there may be a problem with the=0D = > Installer for Mac. Has anyone successfully installed 0.21 on Mac yet?=0D = if it hangs for you surely there is a problem. The $1M question is: = running "wxPerl foo.pl" works for you? IOW: did the installed hang befor= e or after completing its job? Regards Mattia =0A=0A=0A=0A_________= ___________________________________________________=0ARegala e regalati L= ibero ADSL: 3 mesi gratis, navighi veloce e scarichi a 1.2 Mega. =0AAbbon= ati subito senza costi di attivazione su http...

Re: [wxperl-users] Re: wxperl
yes !! its really time to help more mattia. things i could offer are beside bug reports is to help to buil a better brwosable doku, this is one of my long time wish so are so. herbert "Graciliano M. P." <gmpowers@terra.com.br> schrieb am 11.12.04 03:29:27: > > > hey all, > > > > I just tried downloading the cvs snapshot, Wx-0.20, Wx-0.19, and Wx-0.18 > > and trying to install them on solaris (without luck). I tried both > wxAll-2.4.2 > > and wxWidgets-2.5.3. > > > > Furthermore, I went to the wikis for more in...

[wxperl-users] Problems installing wxperl on debian
Hi, I'm having some issues getting wxperl 0.17 up and running on debian. (I got it running on windows just fine suprisingly) I've got the following packages installed karl@krack:/work/fork2$ dpkg --list '*wx*' | grep ii ii libwxbase2.4 2.4.1.2 wxBase library (runtime) - non-GUI support c ii libwxbase2.4-d 2.4.1.2 wxBase library (development) - non-GUI suppo ii libwxgtk2.4 2.4.1.2 wxWindows Cross-platform C++ GUI toolkit (GT ii libwxgtk2.4-de 2.4.1.2 wxWindows Cross-platform C++ GUI toolkit (GT ii wxwin2.4-heade 2.4.1.2 ...

[wxperl-users] WxPerl installation
Hi - I've been having an extremely difficult time installing WxPerl on my debian stable (sarge). There are no instructions on how to do that nor are there any recent .deb files (do please consider adding them to the sf.net repository). I even tried to get the files directly from CPAN and that too died due to some dependency issues (directly from CPAN). Note that the CPAN page, http://search.cpan.org/~mbarbon/Wx-0.57/Wx.pm states that one should 'Please see docs/install.txt in source package' which is not intuitive since there are no directions of what package that ...

[wxperl-users] Problems compiling wxperl (windows/mingw)
------=_Part_928_2353779.1170241459967 Content-Type: text/plain; charset=ISO-8859-1; format=flowed Content-Transfer-Encoding: 7bit Content-Disposition: inline Hi, I am having a few problems compiling wxPerl, and I was wondering if someone on this list could provide any help, perhaps by spotting something very simple that I am doing wrong. I am using the following software: ActivePerl 5.8.6 (build 811) MinGW 5.0.3 MSYS 1.0.10 nmake 1.50 dmake 2006-06-16 (you can never have enough make programs, apparently) ExtUtils::FakeConfig 0.05 wxPerl 0.67 (sources) wxWidgets-2.8.0 (sour...

[wxperl-users] wxPerl-0.21 Mac Install Problem
The Installer hangs on installing the last stage of wxPerl.pkg: Processing wxPerl Running Installer Script Time Remaining: less than a minute It sat there for over two hours before I quit the Installer. ___________________________________________________________ Win a castle for NYE with your mates and Yahoo! Messenger http://uk.messenger.yahoo.com --- David Rogal <theirpuppet@yahoo.com> wrote: > The Installer hangs on installing the last stage of wxPerl.pkg: > > Processing wxPerl > Running Installer Script > Time Remaining: less than a ...

Re: [wxperl-users] wxperl on MacOSX
> Hello Hello > Tough I'm a bit in doubt > whether wxperl will work on the mac (primarily MacOSX, MacOS9 would > be cool too)? There are various problems: 1 - I don't have a Mac, so someone else shoild work on it ( any takers? ;-) ) 2 - wxWindows on MacOS X is still not as stable as the Windows/GTK ports, though it is progressing steadily, and the developers are generally very responsive WRT bugreports; on MacOS 9 it should be pretty stable though 3 - On MacOS 9 you need to use Codewarrior which isn't free If you want to give it a tr...

Re: [wxperl-users] wxPerl on wxX11 ?
Hello, > is it possible to compile wxPerl on wxX11 rather than on wxGTK ? It should be possible. > If yes, will it be functional ? As functional as wxX11 itself, I guess. Regards Mattia ...

Re: [wxperl-users] wxPerl on Gentoo
we both assumed too negative, please look here: http://www.gentoo.org/doc/en/ebuild-submit.xml this information you should also give on your site regards herbert ...

Web resources about - Re: [wxperl-users] Problem for installing last wxPerl on Windows - perl.wxperl.users

O'Reilly Open Source Convention 2007 • July 23-27, 2007 • Portland, Oregon
O'Reilly Open Source Convention 2007 - July 23-27, 2007 - Portland, Oregon

Resources last updated: 1/4/2016 1:06:46 AM